#  This file is part of the copd package
# 
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 3 of the License, or
#  (at your option) any later version.
# 
#  The program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
# 
#  You should have received a copy of the GNU General Public License
#  along with this program.  If not, see <http://www.gnu.org/licenses/>.
# 
#  Copyright (C) 2019 Jens Thoms Törring <jt@toerring.de>
#

package Func_Param_List;
use v5.014;
use strict;
use warnings;
use Carp;

use lib '.';
use parent 'List';
use Func_Param;


sub new {
	shift->SUPER::new('Func_Param');
}


sub all_of_function {
	my ($self, $func) = @_;
	[grep {$_->function == $func} @{$self->list}];
}


1;

